package com.ruoyi.custclient.service;

import com.ruoyi.custclient.domain.LabelCode;

import java.util.List;

/**
 * 标签组codeService接口
 * 
 * @author zhangyubo
 * @date 2024-10-16
 */
public interface ILabelCodeService 
{
    /**
     * 查询标签组code
     * 
     * @param id 标签组code主键
     * @return 标签组code
     */
    public LabelCode selectLabelCodeById(Long id);

    /**
     * 查询标签组code列表
     * 
     * @param labelCode 标签组code
     * @return 标签组code集合
     */
    public List<LabelCode> selectLabelCodeList(LabelCode labelCode);

    /**
     * 新增标签组code
     * 
     * @param labelCode 标签组code
     * @return 结果
     */
    public int insertLabelCode(LabelCode labelCode);

    /**
     * 修改标签组code
     * 
     * @param labelCode 标签组code
     * @return 结果
     */
    public int updateLabelCode(LabelCode labelCode);

    /**
     * 批量删除标签组code
     * 
     * @param ids 需要删除的标签组code主键集合
     * @return 结果
     */
    public int deleteLabelCodeByIds(Long[] ids);

    /**
     * 删除标签组code信息
     * 
     * @param id 标签组code主键
     * @return 结果
     */
    public int deleteLabelCodeById(Long id);
}
